# Uses of Class
org.apache.lucene.search.suggest.Lookup.LookupResult

Packages that use Lookup.LookupResult
Package
Description
org.apache.lucene.search.suggest
Support for Autocomplete/Autosuggest
org.apache.lucene.search.suggest.analyzing
Analyzer based autosuggest.
org.apache.lucene.search.suggest.fst
Finite-state based autosuggest.
org.apache.lucene.search.suggest.tst
Ternary Search Tree based autosuggest.

- ## Uses of Lookup.LookupResult in org.apache.lucene.search.suggest

  Methods in org.apache.lucene.search.suggest that return Lookup.LookupResult
  Modifier and Type
  Method
  Description
  `Lookup.LookupResult[]`
  Lookup.LookupPriorityQueue.`getResults()`
  Returns the top N results in descending order.
  Methods in org.apache.lucene.search.suggest that return types with arguments of type Lookup.LookupResult
  Modifier and Type
  Method
  Description
  `List<Lookup.LookupResult>`
  Lookup.`lookup(CharSequence key, boolean onlyMorePopular, int num)`
  Look up a key and return possible completion for this key.
  `abstract List<Lookup.LookupResult>`
  Lookup.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`
  Look up a key and return possible completion for this key.
  `List<Lookup.LookupResult>`
  Lookup.`lookup(CharSequence key, BooleanQuery contextFilerQuery, int num, boolean allTermsRequired, boolean doHighlight)`
  Look up a key and return possible completion for this key.
  Methods in org.apache.lucene.search.suggest with parameters of type Lookup.LookupResult
  Modifier and Type
  Method
  Description
  `int`
  Lookup.LookupResult.`compareTo(Lookup.LookupResult o)`
  Compare alphabetically.
  `protected boolean`
  Lookup.LookupPriorityQueue.`lessThan(Lookup.LookupResult a, Lookup.LookupResult b)`

- ## Uses of Lookup.LookupResult in org.apache.lucene.search.suggest.analyzing

  Methods in org.apache.lucene.search.suggest.analyzing that return types with arguments of type Lookup.LookupResult
  Modifier and Type
  Method
  Description
  `protected List<Lookup.LookupResult>`
  AnalyzingInfixSuggester.`createResults(IndexSearcher searcher, TopFieldDocs hits, int num, CharSequence charSequence, boolean doHighlight, Set<String> matchedTokens, String prefixToken)`
  Create the results based on the search hits.
  `protected List<Lookup.LookupResult>`
  BlendedInfixSuggester.`createResults(IndexSearcher searcher, TopFieldDocs hits, int num, CharSequence key, boolean doHighlight, Set<String> matchedTokens, String prefixToken)`
  `List<Lookup.LookupResult>`
  AnalyzingInfixSuggester.`lookup(CharSequence key, int num, boolean allTermsRequired, boolean doHighlight)`
  Lookup, without any context.
  `List<Lookup.LookupResult>`
  AnalyzingInfixSuggester.`lookup(CharSequence key, Map<BytesRef,BooleanClause.Occur> contextInfo, int num, boolean allTermsRequired, boolean doHighlight)`
  Retrieve suggestions, specifying whether all terms must match (`allTermsRequired`) and whether the hits should be highlighted (`doHighlight`).
  `List<Lookup.LookupResult>`
  AnalyzingInfixSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`
  `List<Lookup.LookupResult>`
  AnalyzingInfixSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, int num, boolean allTermsRequired, boolean doHighlight)`
  Lookup, with context but without booleans.
  `List<Lookup.LookupResult>`
  AnalyzingInfixSuggester.`lookup(CharSequence key, BooleanQuery contextQuery, int num, boolean allTermsRequired, boolean doHighlight)`
  This is an advanced method providing the capability to send down to the suggester any arbitrary lucene query to be used to filter the result of the suggester
  `List<Lookup.LookupResult>`
  AnalyzingSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`
  `List<Lookup.LookupResult>`
  BlendedInfixSuggester.`lookup(CharSequence key, Map<BytesRef,BooleanClause.Occur> contextInfo, int num, boolean allTermsRequired, boolean doHighlight)`
  `List<Lookup.LookupResult>`
  BlendedInfixSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`
  `List<Lookup.LookupResult>`
  BlendedInfixSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, int num, boolean allTermsRequired, boolean doHighlight)`
  `List<Lookup.LookupResult>`
  BlendedInfixSuggester.`lookup(CharSequence key, BooleanQuery contextQuery, int num, boolean allTermsRequired, boolean doHighlight)`
  `List<Lookup.LookupResult>`
  FreeTextSuggester.`lookup(CharSequence key, boolean onlyMorePopular, int num)`
  `List<Lookup.LookupResult>`
  FreeTextSuggester.`lookup(CharSequence key, int num)`
  Lookup, without any context.
  `List<Lookup.LookupResult>`
  FreeTextSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`
  `List<Lookup.LookupResult>`
  FreeTextSuggester.`lookup(CharSequence key, Set<BytesRef> contexts, int num)`
  Retrieve suggestions.

- ## Uses of Lookup.LookupResult in org.apache.lucene.search.suggest.fst

  Methods in org.apache.lucene.search.suggest.fst that return types with arguments of type Lookup.LookupResult
  Modifier and Type
  Method
  Description
  `List<Lookup.LookupResult>`
  FSTCompletionLookup.`lookup(CharSequence key, Set<BytesRef> contexts, boolean higherWeightsFirst, int num)`
  `List<Lookup.LookupResult>`
  WFSTCompletionLookup.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`

- ## Uses of Lookup.LookupResult in org.apache.lucene.search.suggest.tst

  Methods in org.apache.lucene.search.suggest.tst that return types with arguments of type Lookup.LookupResult
  Modifier and Type
  Method
  Description
  `List<Lookup.LookupResult>`
  TSTLookup.`lookup(CharSequence key, Set<BytesRef> contexts, boolean onlyMorePopular, int num)`